## org.eclipse.datatools.sqltools.sqleditor.internal.actions
Class SQLConnectAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.ui.texteditor.ResourceAction
                      org.eclipse.datatools.sqltools.sqleditor.internal.actions.SQLConnectAction

All Implemented Interfaces:
  org.eclipse.jface.action.IAction

    public class SQLConnectAction

extends org.eclipse.ui.texteditor.ResourceAction

This class implements the "Connect" action for the SQL Editor.

See Also:
  `SQLEditorActionContributor`, `ResourceAction`

Field Summary
`static java.lang.String` `CONNECTION`

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`SQLConnectAction(java.util.ResourceBundle bundle, java.lang.String prefix)` Creates an instance of this class using the given resource bundle and prefix of a set of resources within the bundle.

Method Summary
`ISQLEditorConnectionInfo` `getConnectionInfo()` Gets the current `ISQLEditorConnectionInfo` object associated with this action.
`SQLEditor` `getSQLEditor()` Gets the SQLEditor instance associated with this action.
`void` `run()` Runs this action.
`void` `setConnectionInfo(ISQLEditorConnectionInfo connInfo)` Sets the current `ISQLEditorConnectionInfo` object to the given object.
`void` `setSQLEditor(SQLEditor sqlEditor)` Sets the SQLEditor instance associated with this action to the given object.

Methods inherited from class org.eclipse.ui.texteditor.ResourceAction
`setHelpContextId`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### CONNECTION

    public static final java.lang.String CONNECTION

See Also:
  Constant Field Values

Constructor Detail

### SQLConnectAction

    public SQLConnectAction(java.util.ResourceBundle bundle,
                            java.lang.String prefix)

  Creates an instance of this class using the given resource bundle and prefix of a set of resources within the bundle.

  Parameters:
    `bundle` - the resource bundle to use
    `prefix` - the resource prefix to use

Method Detail

### getConnectionInfo

    public ISQLEditorConnectionInfo getConnectionInfo()

  Gets the current `ISQLEditorConnectionInfo` object associated with this action.

  Returns:
    the current `ISQLEditorConnectionInfo` object

### getSQLEditor

    public SQLEditor getSQLEditor()

  Gets the SQLEditor instance associated with this action.

  Returns:
    the SQLEditor instance for this action

### run

    public void run()

  Runs this action. Prompts the user to specify a database connection to use with this editor.

  Specified by:
    `run` in interface `org.eclipse.jface.action.IAction`
  Overrides:
    `run` in class `org.eclipse.jface.action.Action`
  See Also:
    `IAction.run()`

### setConnectionInfo

    public void setConnectionInfo(ISQLEditorConnectionInfo connInfo)

  Sets the current `ISQLEditorConnectionInfo` object to the given object.

  Parameters:
    `connInfo` - the `ISQLEditorConnectionInfo` object to set

### setSQLEditor

    public void setSQLEditor(SQLEditor sqlEditor)

  Sets the SQLEditor instance associated with this action to the given object.

  Parameters:
    `sqlEditor` - the SQLEditor instance for this action